onEvent('recipes', event => {
	event.remove({id:'minecraft:lever'})
	event.remove({id:'minecraft:stone_pressure_plate'})
	event.remove({id:'minecraft:polished_blackstone_pressure_plate'})
	event.remove({id:'minecraft:light_weighted_pressure_plate'})
	event.remove({id:'minecraft:heavy_weighted_pressure_plate'})
	event.remove({id:'minecraft:daylight_detector'})
	event.remove({id:'quark:automation/crafting/weather_sensor'})
	event.remove({output:'#minecraft:wooden_pressure_plates'})
	event.remove({output:'#minecraft:buttons'})
	event.remove({id:'inspirations:utility/torch_lever'})
	event.remove({id:'inspirations:utility/soul_torch_lever'})
	event.remove({id:'steampowered:alternative/bronze_plate'})
	
	event.shapeless('minecraft:lever', ['minecraft:stick', '2x #minecraft:stone_tool_materials', 'minecraft:redstone'])
	event.shapeless('minecraft:daylight_detector', ['minecraft:glass_pane', '2x minecraft:quartz', '#minecraft:wooden_slabs'])
	event.shapeless('quark:weather_sensor', ['minecraft:glass_pane', '2x quark:biotite', 'minecraft:purpur_slab'])
	event.shaped('minecraft:stone_pressure_plate', [
		'NN',
		'RS'
	], {
		N: '#forge:stone',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:polished_blackstone_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'minecraft:polished_blackstone',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:light_weighted_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'create:golden_sheet',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:heavy_weighted_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'create:iron_sheet',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:spruce_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:spruce_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:birch_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:birch_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:dark_oak_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:dark_oak_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:jungle_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:jungle_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:acacia_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:acacia_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:crimson_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:crimson_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:warped_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:warped_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('endergetic:poise_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:poise_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('upgrade_aquatic:driftwood_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:driftwood_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('upgrade_aquatic:river_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:river_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:oak_pressure_plate', [
		'NN',
		'RS'
	], {
		N: 'kubejs:oak_plank',
		R: 'minecraft:redstone',
		S: 'locks:spring'
	})
	event.shaped('minecraft:target', [
		' R ',
		'RSR',
		' R '
	], {
		R: 'minecraft:redstone',
		S: 'farmersdelight:straw_bale'
	})
	
	event.shapeless('minecraft:stone_button', ['#forge:stone', 'locks:spring'])
	event.shapeless('minecraft:polished_blackstone_button', ['minecraft:polished_blackstone', 'locks:spring'])
	event.shapeless('minecraft:oak_button', ['kubejs:oak_plank', 'locks:spring'])
	event.shapeless('minecraft:spruce_button', ['kubejs:spruce_plank', 'locks:spring'])
	event.shapeless('minecraft:birch_button', ['kubejs:birch_plank', 'locks:spring'])
	event.shapeless('minecraft:dark_oak_button', ['kubejs:dark_oak_plank', 'locks:spring'])
	event.shapeless('minecraft:jungle_button', ['kubejs:jungle_plank', 'locks:spring'])
	event.shapeless('minecraft:acacia_button', ['kubejs:acacia_plank', 'locks:spring'])
	event.shapeless('minecraft:crimson_button', ['kubejs:crimson_plank', 'locks:spring'])
	event.shapeless('minecraft:warped_button', ['kubejs:warped_plank', 'locks:spring'])
	event.shapeless('endergetic:poise_button', ['kubejs:poise_plank', 'locks:spring'])
	event.shapeless('upgrade_aquatic:driftwood_button', ['kubejs:driftwood_plank', 'locks:spring'])
	event.shapeless('upgrade_aquatic:river_button', ['kubejs:river_plank', 'locks:spring'])
	event.shapeless('quark:iron_button', ['minecraft:iron_ingot', 'locks:spring'])
	event.shapeless('quark:gold_button', ['minecraft:gold_ingot', 'locks:spring'])
	
	event.shapeless('inspirations:torch_lever', ['minecraft:torch', '2x #minecraft:stone_tool_materials', 'minecraft:redstone'])
	event.shapeless('inspirations:soul_torch_lever', ['minecraft:soul_torch', '2x #minecraft:stone_tool_materials', 'minecraft:redstone'])
	
	event.replaceInput({id:'minecraft:dispenser'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'minecraft:repeater'}, 'minecraft:stone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'minecraft:dropper'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'minecraft:observer'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'minecraft:comparator'}, 'minecraft:stone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'supplementaries:bellows'}, '#minecraft:wooden_slabs', '#kubejs:plank')
	event.replaceInput({id:'supplementaries:checker'}, 'minecraft:cobblestone', 'minecraft:quartz_block')
	event.replaceInput({id:'quark:automation/crafting/ender_watcher'}, 'quark:biotite_block', 'quark:biotite')
	event.replaceInput({id:'quark:automation/crafting/redstone_randomizer'}, 'minecraft:stone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'quark:automation/crafting/redstone_inductor'}, 'minecraft:stone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'inspirations:utility/collector'}, 'minecraft:cobblestone', '#minecraft:stone_tool_materials')
	
	//create
	
	event.remove({id:'create:crafting/materials/andesite_casing'})
	event.remove({id:'create:crafting/materials/refined_radiance_casing'})
	event.remove({id:'create:crafting/materials/shadow_steel_casing'})
	event.remove({id:'create:crafting/kinetics/millstone'})
	event.remove({id:'create:crafting/kinetics/cuckoo_clock'})
	event.remove({id:'create:crafting/materials/copper_casing'})
	event.remove({id:'create:crafting/kinetics/piston_extension_pole'})
	event.remove({id:'create:crafting/kinetics/shaft'})
	event.remove({id:'create:crafting/kinetics/hand_crank'})
	event.remove({id:'create:crafting/kinetics/mechanical_piston'})
	event.remove({id:'create:crafting/kinetics/gantry_carriage'})
	event.remove({id:'create:crafting/kinetics/belt_connector'})
	event.remove({id:'create:crafting/kinetics/large_cogwheel'})
	event.remove({id:'create:crafting/kinetics/cogwheel'})
	event.remove({id:'create:crafting/kinetics/wooden_bracket'})
	event.remove({id:'create:crafting/logistics/redstone_contact'})
	event.remove({id:'steampowered:steel_large_cogwheel'})
	event.remove({id:'steampowered:steel_cogwheel'})
	event.remove({id:'steampowered:cast_iron_large_cogwheel'})
	event.remove({id:'steampowered:cast_iron_cogwheel'})
	event.remove({id:'steampowered:alternative/bronze_large_cogwheel'})
	event.remove({id:'steampowered:bronze_cogwheel'})
	
	event.remove({id:'create:sequenced_assembly/large_cogwheel'})
	event.remove({id:'create:sequenced_assembly/cogwheel'})
	
	event.shaped('2x create:andesite_casing', [
		'PPP',
		'A A',
		'PPP'
	], {
		P: '#kubejs:plank',
		A: 'create:andesite_alloy'
	})
	event.shaped('2x create:refined_radiance_casing', [
		'PPP',
		'RGR',
		'PPP'
	], {
		P: '#kubejs:plank',
		R: 'create:refined_radiance',
		G: '#forge:glass/colorless'
	})
	event.shaped('2x create:shadow_steel_casing', [
		'PPP',
		'ROR',
		'PPP'
	], {
		P: '#kubejs:plank',
		R: 'create:shadow_steel',
		O: 'minecraft:obsidian'
	})
	event.shaped('create:millstone', [
		' P ',
		'ACA',
		' S '
	], {
		P: '#kubejs:plank',
		A: 'create:andesite_alloy',
		C: 'create:cogwheel',
		S: '#forge:stone'
	})
	event.shaped('create:cuckoo_clock', [
		' P ',
		'PCP',
		'PWP'
	], {
		P: '#kubejs:plank',
		C: 'minecraft:clock',
		W: 'create:cogwheel'
	})
	event.shaped('2x create:copper_casing', [
		'PPP',
		'A A',
		'PPP'
	], {
		P: '#kubejs:plank',
		A: 'create:copper_sheet'
	})
	event.shaped('4x create:piston_extension_pole', [
		'P',
		'A',
		'P'
	], {
		P: '#kubejs:plank',
		A: 'create:andesite_alloy'
	})
	event.shaped('4x create:shaft', [
		'A',
		'A'
	], {
		A: 'create:andesite_alloy'
	})
	event.shaped('create:hand_crank', [
		' S ',
		'PPP',
		'  A'
	], {
		P: '#kubejs:plank',
		A: 'create:andesite_alloy',
		S: 'create:shaft'
	})
	event.shaped('create:mechanical_piston', [
		' P ',
		'WCW',
		' E '
	], {
		P: '#kubejs:plank',
		W: 'create:cogwheel',
		C: 'create:andesite_casing',
		E: 'create:piston_extension_pole'
	})
	event.shaped('create:gantry_carriage', [
		' P ',
		'SCS',
		' W '
	], {
		P: '#kubejs:plank',
		W: 'create:cogwheel',
		C: 'create:andesite_casing',
		S: 'create:shaft'
	})
	event.shaped('4x create:belt_connector',[
		'LLL',
		'LLL'
	], {
		L: 'improvedbackpacks:tanned_leather'
	})
	event.shaped('2x create:large_cogwheel',[
		'PPP',
		'PAP',
		'PPP'
	], {
		P: '#kubejs:plank',
		A: 'create:andesite_alloy'
	})
	event.shaped('4x create:cogwheel',[
		' P ',
		'PAP',
		' P '
	], {
		P: '#kubejs:plank',
		A: 'create:andesite_alloy'
	})
	event.shaped('create:wooden_bracket',[
		'SSS',
		'PAP'
	], {
		P: '#kubejs:plank',
		A: 'create:andesite_alloy',
		S: 'minecraft:stick'
	})
	event.shaped('create:redstone_contact',[
		' I ',
		'SRS',
		'SSS'
	], {
		I: 'create:iron_sheet',
		R: 'minecraft:redstone',
		S: '#minecraft:stone_tool_materials'
	})
	event.shaped('2x steampowered:steel_large_cogwheel',[
		'ISI',
		'SAS',
		'ISI'
	], {
		I: 'steampowered:steel_ingot',
		S: 'steampowered:steel_sheet',
		A: 'create:andesite_alloy'
	})
	event.shaped('4x steampowered:steel_cogwheel',[
		' I ',
		'IAI',
		' I '
	], {
		I: 'steampowered:steel_ingot',
		A: 'create:andesite_alloy'
	})
	event.shaped('2x steampowered:cast_iron_large_cogwheel',[
		'ISI',
		'SAS',
		'ISI'
	], {
		I: 'steampowered:cast_iron_ingot',
		S: 'steampowered:cast_iron_sheet',
		A: 'create:andesite_alloy'
	})
	event.shaped('4x steampowered:cast_iron_cogwheel',[
		' I ',
		'IAI',
		' I '
	], {
		I: 'steampowered:cast_iron_ingot',
		A: 'create:andesite_alloy'
	})
	event.shaped('2x steampowered:bronze_large_cogwheel',[
		'ISI',
		'SAS',
		'ISI'
	], {
		S: 'create:brass_sheet',
		I: 'create:brass_ingot',
		A: 'create:andesite_alloy'
	})
	event.shaped('4x steampowered:bronze_cogwheel',[
		' I ',
		'IAI',
		' I '
	], {
		I: 'create:brass_ingot',
		A: 'create:andesite_alloy'
	})
	
	event.replaceInput({id:'create:crafting/logistics/brass_tunnel'}, 'minecraft:dried_kelp', 'improvedbackpacks:tanned_leather')
	event.replaceInput({id:'create:crafting/kinetics/hose_pulley'}, 'minecraft:dried_kelp', 'improvedbackpacks:tanned_leather')
	event.replaceInput({id:'create:crafting/logistics/brass_funnel'}, 'minecraft:dried_kelp', 'improvedbackpacks:tanned_leather')
	event.replaceInput({id:'create:crafting/kinetics/spout'}, 'minecraft:dried_kelp', 'improvedbackpacks:tanned_leather')
	event.replaceInput({id:'create:crafting/logistics/andesite_funnel'}, 'minecraft:dried_kelp', 'improvedbackpacks:tanned_leather')
	event.replaceInput({id:'create:crafting/logistics/andesite_tunnel'}, 'minecraft:dried_kelp', 'improvedbackpacks:tanned_leather')
	event.replaceInput({id:'create:crafting/logistics/powered_latch'}, '#forge:stone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'create:crafting/logistics/pulse_repeater'}, '#forge:stone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'create:crafting/logistics/powered_toggle_latch'}, '#forge:stone', '#minecraft:stone_tool_materials')
	event.replaceInput({id:'create:crafting/logistics/adjustable_repeater'}, '#forge:stone', '#minecraft:stone_tool_materials')
	
	event.replaceInput({id:'steampowered:bronze_burner'}, 'steampowered:bronze_sheet', 'create:brass_sheet')
	event.replaceInput({id:'steampowered:bronze_boiler'}, 'steampowered:bronze_sheet', 'create:brass_sheet')
	event.replaceInput({id:'steampowered:alternative/bronze_steam_engine'}, 'steampowered:bronze_sheet', 'create:brass_sheet')
	event.replaceInput({id:'steampowered:bronze_burner'}, 'steampowered:bronze_sheet', 'create:brass_sheet')
})